Bug 315441 - ccache-2.4-10.fc8 causes gcc to silently fail if HOME is not set
ccache-2.4-10.fc8 causes gcc to silently fail if HOME is not set
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ccache (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-02 10:48 EDT by Will Woods
Modified: 2011-04-25 14:54 EDT (History)
0 users

See Also:
Fixed In Version: 2.4-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 12:59:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2007-10-02 10:48:31 EDT
with gcc-4.1.2-28 and ccache-2.4-10.fc8 installed, the following command
silently fails:
  env -i PATH=$PATH gcc -v
ltrace reveals the following:
  getenv("HOME") = NULL
  exit(1 <unfinished ...>
After removing ccache, everything works as expected.
Comment 1 Ville Skyttä 2007-10-02 12:59:53 EDT
Thanks for the report, applied fix from upstream CVS in ccache-2.4-11 which also
makes ccache at least output an error message to stderr if it still fails to get
the home dir for some reason.
Comment 2 Fedora Update System 2011-04-02 07:45:30 EDT
ccache-2.4-19.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ccache-2.4-19.el5
Comment 3 Fedora Update System 2011-04-25 14:54:09 EDT
ccache-2.4-19.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.